PHP Manual
Prev |  | Next

# DOMDocument->loadHTML()

(no version information, might be only in CVS)

DOMDocument->loadHTML() -- Load HTML from a string

## Description

class DOMDocument {
bool loadHTML ( string source )
}

The function parses the HTML contained in the string source. Unlike loading XML, HTML does not have to be well-formed to load. This function may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

source

  The HTML string.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Creating a Document
`<?php $doc = DOMDocument::loadHTML("<html><body>Test<br></body></html>"); echo $doc->saveHTML(); $doc = new DOMDocument(); $doc->loadHTML("<html><body>Test<br></body></html>"); echo $doc->saveHTML(); ?>`

## See Also

DOMDocument->loadHTMLFile()
DOMDocument->saveHTML()
DOMDocument->saveHTMLFile()

Prev | Home | Next
DOMDocument->load() | Up | DOMDocument->loadHTMLFile()